Gentoo Archives: gentoo-desktop

From: Lindsay Haisley <fmouse-gentoo@×××.com>
To: gentoo-desktop@l.g.o
Subject: Re: [gentoo-desktop] Nautilus-CD-Burner issue
Date: Wed, 08 Dec 2004 03:44:33
Message-Id: 20041208034429.GF28709@fmp.com
In Reply to: Re: [gentoo-desktop] Nautilus-CD-Burner issue by Adam Petaccia
Thus spake Adam Petaccia on Tue, Dec 07, 2004 at 09:00:16PM CST
> > > > This list also includes updates on a number of packages which are apparently > > slipping through the cracks when I do a daily 'emerge -u world'. I've been > > noticing this for some time now. Some packages apparently didn't get > > registered with 'world' when they're built, and I come on them from time to > > time by chance and notice the version differences between what's installed > > and what's available. > > add "-D" to your emerge list and it should catch most everything, except > maybe orphaned dependencies (which, admitantly, portage *does* have a > problem with these).
Portage may not be smart enough to work around selective use of unstable packages. e.g., I've had to use lm-sensors-2.8.8 (masked with ~x86) to get the package working, and have had to add a line to /etc/portage/package.mask to keep 'emerge -u world' from downgrading the package. If I set ACCEPT_KEYWORDS="~x86" then portage wants to upgrade _everything_ to unstable. Not good! So with "<sys-apps/lm-sensors-2.8.8" in package.mask, I get the following: # emerge -D -u -p world These are the packages that I would merge, in reverse order: Calculating world dependencies - !!! All ebuilds that could satisfy "sys-apps/lm-sensors" have been masked. !!! One of the following masked packages is required to complete your request: - sys-apps/lm-sensors-2.8.1 (masked by: package.mask) - sys-apps/lm-sensors-2.7.0-r1 (masked by: package.mask) - sys-apps/lm-sensors-2.8.8 (masked by: ~x86 keyword) - sys-apps/lm-sensors-2.8.3 (masked by: package.mask) - sys-apps/lm-sensors-2.8.5 (masked by: package.mask) - sys-apps/lm-sensors-2.8.7 (masked by: package.mask) - sys-apps/lm-sensors-2.8.2 (masked by: package.mask) - sys-apps/lm-sensors-2.8.4 (masked by: package.mask) - sys-apps/lm-sensors-2.6.5 (masked by: package.mask) - sys-apps/lm-sensors-2.8.6 (masked by: package.mask) For more information, see MASKED PACKAGES section in the emerge man page or section 2.2 "Software Availability" in the Gentoo Handbook. !!! (dependency required by "x11-misc/xsensors-0.46" [ebuild]) !!! Problem with ebuild x11-misc/xsensors-0.46 !!! Possibly a DEPEND/*DEPEND problem. !!! Depgraph creation failed. ----------- But if I comment out the restriction in package.mask, then portage wants to install an older version of the package in a different slot, which probably won't work since the old version doesn't grok my mainboard. Quite frankly, I liked the -U ebuild option, which solves the problem, but apparently -U is going to go away. I know this is all rather OT for this list, but I appreciate the knowledge and advice! -- Lindsay Haisley | "Fighting against human | PGP public key FMP Computer Services | creativity is like | available at 512-259-1190 | trying to eradicate | <http://pubkeys.fmp.com> http://www.fmp.com | dandelions" | | (Pamela Jones) | -- gentoo-desktop@g.o mailing list

Replies

Subject Author
Re: [gentoo-desktop] Nautilus-CD-Burner issue Luke-Jr <luke-jr@×××××××.org>
Re: [gentoo-desktop] Nautilus-CD-Burner issue Chris Gianelloni <wolf31o2@g.o>